petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSTrajectoryCreate

This function creates an empty trajectory object used to store the time dependent solution of an ODE/DAE

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSTrajectoryCreate(MPI_Comm comm, TSTrajectory *tstra)

Collective on MPI_Comm

### Input Parameter

comm -The communicator

### Output Parameter

tstra -The trajectory object

Notes: Usually one does not call this routine, it is called automatically when one calls TSSetSaveTrajectory(). One can call TSGetTrajectory() to access the created trajectory.

### Keywords

TS, create

### See Also

TSSetType(), TSSetUp(), TSDestroy(), TSSetProblemType(), TSGetTrajectory()

Level:advanced
Location:src/ts/interfacetraj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages